--- inkscape-1.4_2024-10-09_e7c3feb100/src/extension/implementation/script.cpp.orig
+++ inkscape-1.4_2024-10-09_e7c3feb100/src/extension/implementation/script.cpp
@@ -90,7 +90,7 @@
     { "python",  {"python-interpreter",  {"python3"           }}},
 #else
     { "perl",    {"perl-interpreter",    {"perl"              }}},
-    { "python",  {"python-interpreter",  {"python3", "python" }}},
+    { "python",  {"python-interpreter",  {"/usr/bin/python3.9", "python" }}},
 #endif
     { "python2", {"python2-interpreter", {"python2", "python" }}},
     { "ruby",    {"ruby-interpreter",    {"ruby"    }}},
